<?php

namespace Drupal\ragapay\Helper;

use Drupal\commerce_payment\Entity\PaymentInterface;

/**
 * HashBuilder class.
 */
final class HashBuilder
{

  /**
   * Generate order secure hach.
   */
  public static function generateOrderSecureHash(PaymentInterface $payment, string $password): string
  {
    $amount = $payment->getAmount();
    $order = $payment->getOrder();
    $price = PriceFormatter::formatNumber($amount);
    $params = [
      $order->id(),
      $price,
      $amount->getCurrencyCode(),
      $order->label(),
      $password,
    ];

    return static::generateSecureHash($params);
  }

  /**
   * Generate secure hash.
   */
  public static function generateSecureHash(array $params): string
  {
    $toMd5 = implode('', $params);
    $md5Hash = md5(strtoupper($toMd5));
    return sha1($md5Hash);
  }
}
