<?php

declare(strict_types=1);

namespace Drupal\ragapay\Plugin\Commerce\PaymentGateway;

/**
 * Enumerates the available payload fields.
 */
enum PayloadFields: string {
  case MERCHANT_KEY = 'merchant_key';
  case OPERATION = 'operation';
  case METHODS = 'methods';
  case PARAMETERS = 'parameters';
  case CUSTOMER = 'customer';
  case CARD_BNRG_INSTALLM_DEF = 'bnrg_installm_def';
  case CARD_BNRG_INSTALLM_MONTHS = 'bnrg_installm_months';
  case CARD_BNRG_INSTALLM_PLAN = 'bnrg_installm_plan';
  case ORDER_NUMBER = 'number';
  case ORDER_AMOUNT = 'amount';
  case ORDER = 'order';
  case ORDER_CURRENCY = 'currency';
  case ORDER_DESCRIPTION = 'description';
  case CANCEL_URL = 'cancel_url';
  case SUCCESS_URL = 'success_url';
  case EXPIRITY_URL = 'expirity_url';
  case CUSTOMER_NAME = 'name';
  case CUSTOMER_EMAIL = 'email';
  case CUSTOMER_BIRTH_DATE = 'birth_date';
  case HASH = 'hash';
  case BILLING_ADDRESS = 'billing_address';
  case BILLING_ADDRESS_ZIP = 'zip';
  case BILLING_ADDRESS_STATE = 'state';
  case BILLING_ADDRESS_LINE1 = 'address';
  case BILLING_ADDRESS_COUNTRY = 'country';
  case BILLING_ADDRESS_CITY = 'city';
}
