<?php

declare(strict_types=1);

namespace Drupal\ragapay\Plugin\Commerce\PaymentGateway;

/**
 * Provides the Off-site RagaPay payment gateway.
 */
enum PaymentStatus: string {
  case WAITING = 'waiting';
  case SUCCESS = 'success';
  case FAIL = 'fail';

  /**
   * Converts the payment status to a Drupal payment status.
   */
  public function toPaymentState(): string {
    return match ($this) {
      self::WAITING => 'pending',
      self::SUCCESS => 'completed',
      self::FAIL => 'canceled',
      default => 'canceled',
    };
  }

}
